


function Appcast(url)
{
	this.url = url;

}

Appcast.prototype.setDelegate = function(delegate)
{
	this.delegate = delegate;
}

Appcast.prototype.getDescription = function()
{
    return this.description;
}

Appcast.prototype.getLink = function()
{
	return this.link();
}

Appcast.prototype.currentVersion = function()
{

	var xmlRequest = new XMLHttpRequest();
	xmlRequest.open("GET", "Info.plist",false);
	xmlRequest.send(null); 
    
   var xml = xmlRequest.responseXML;
   var plist = xml.getElementsByTagName("plist")[0];
   var dict = xml.getElementsByTagName("dict")[0];
   var kids = dict.childNodes;
  
   for(var i=0; i<kids.length; i++)
   {
		var node = kids[i];
		if(node.nodeName == "key")
		{
			if(node.childNodes[0].nodeValue == "CFBundleVersion")
			{
				i += 2;
				var nextNode = kids[i];
				return nextNode.childNodes[0].nodeValue;
			}
		}
   }
   
 

}

Appcast.prototype.load = function()
{
	var _self = this;
	var xmlRequest = new XMLHttpRequest();
	xmlRequest.open("GET", this.url);
	xmlRequest.setRequestHeader("Cache-Control", "no-cache");
	xmlRequest.overrideMimeType("text/xml"); 
	xmlRequest.onreadystatechange = function (aEvt) 
	{
		if (xmlRequest.readyState == 4) 
		{
			
			_self.appcastLoaded(xmlRequest);
			
			
		}
	};
	
	xmlRequest.send(null);
	
}

// Called when the XMLHttpRequest loads the feed
Appcast.prototype.appcastLoaded = function(xmlRequest) 
{
	
	

	if (xmlRequest.status == 200) 
	{
	
		try
		{
			
			var xmlObj = xmlRequest.responseXML;
			
			
			
			
			//outputNodeNamesForNode(xmlObj);
	
			var rss = xmlObj.getElementsByTagName("rss")[0];
	
			
			
			var channel = rss.getElementsByTagName("channel")[0];
			
			//outputNodeNamesForNode(channel);
			
			var item = channel.getElementsByTagName("item")[0];
			
			//outputNodeNamesForNode(item);
			
			var enclosure = channel.getElementsByTagName("enclosure")[0];
			
		
			this.description = valueForKey("description",item);
						this.title = valueForKey("title",item);
			
			var attributes = enclosure.attributes;
								
					
			var versionAtt = attributes.getNamedItem("sparkle:version");
					
			this.version = versionAtt.value;
					
			var urlAtt = attributes.getNamedItem("url");
					
			this.url = urlAtt.value;
			
			this.onload(this);
			
			
			
		}
		catch(err)
		{
			alert("failed. " + err);
			
		}
		
	}
	else 
	{
		alert("Error fetching data: HTTP status " + xmlRequest.status);
	}
}



