
var countryPreference = "country";
var typePreference = "type";
var amazonUsernamePreference = "amazonUsername";
var defaultSearchPreference = "defaultSearch";
var checkForUpdatesPreference = "autoCheckForUpdates";

var saveCartPreference = "saveContentsOfCart";
var cartPreference = "cartContents";

function setCheckForUpdates(check)
{
	//alert("set: " + check);
	if(check)
		widget.setPreferenceForKey("true", checkForUpdatesPreference);
	else
		widget.setPreferenceForKey("false",checkForUpdatesPreference);

}

function addCartItem(item )
{
  
      
    if( !saveCart()  )
    {
        
        return;
    }
    var contentsString = widget.preferenceForKey(cartPreference);
    var contents = new Array();
    if(contentsString != null && contentsString.length != 0)
    {
        contents = contentsString.split(",");
    }

    contents.push(item['asin']);
    
    contentsString = contents.toString();
    
  
    
    widget.setPreferenceForKey(contentsString,cartPreference);

}

function removeCartItem(item)
{
    if(!saveCart() )
        return;
        
    var contentsString = widget.preferenceForKey(cartPreference);
    var contents = null;
    if(contentsString != null)
    {
        contents = contentsString.split(",");
    }
    
    for(var i=0; i<contents.length; i++)
    {
       
         
        contents.splice(i,1);
    
    }
    
    contentsString = contents.toString();
    
   
    
    widget.setPreferenceForKey(contentsString,cartPreference);
    
      

}

function clearCart()
{
    if(!saveCart())
        return;
    widget.setPreferenceForKey(null,cartPreference);

}

function loadCartItems(controller)
{
    if(!saveCart())
    {
        alert("dont save carts.");
        return;
    }
     
    var contentsString = widget.preferenceForKey(cartPreference);
   
    if(contentsString == null)
    {
        return;
    }
    var contents = contentsString.split(",");
    if(contents.length == 0)
    {
     
        return;
    }
    var cart = controller.getCart();
    var items = new Array();
    for(var i=0; i<contents.length; i++)
    {
        var item = new AmazonItem(contents[i],selectedCountry());
        items.push(item);
       
        
    }
    cart.reloadPreferenceItems(items);

}

function saveCart()
{
    var save = widget.preferenceForKey(saveCartPreference);
    if(save == "false")
        return false;
    return true;
}

function setSaveCart(save)
{

	
	if(save)
		widget.setPreferenceForKey("true", saveCartPreference);
	else
		widget.setPreferenceForKey("false",saveCartPreference);


}

function checkForUpdates()
{
	var check = widget.preferenceForKey(checkForUpdatesPreference);
	if(check == "false")
		return false;
	return true;

}

function setSelectedCountry(country)
{
	// Values you provide
	//var preferenceKey = "country"; // replace with the key for a preference

	//var preferenceValue = event.currentTarget.value;	// replace with a preference to save
	
	
	// Preference code
	widget.setPreferenceForKey(country, countryPreference);
	
	//refreshRequired = true;
	


}

function selectedCountry()
{

	var country = widget.preferenceForKey(countryPreference);
	if(country == null)
		country = "us";
		
		

	return country;

}

function setSelectedCategory(value)
{

	var category = value + "";
	var key = selectedType() + "-cat";
	widget.setPreferenceForKey(category, key);
}

function selectedCateogry()
{
	var key = selectedType() + "-cat";
	var category = widget.preferenceForKey(key);
	
	if(category != null)
	{	
		return category;
	}
	else
		return "0";
			
	
	
	
}

function setSelectedType(type)
{

	widget.setPreferenceForKey(type,widget.identifier + "-" + typePreference);
	
	
}

function selectedType()
{

	var type = widget.preferenceForKey(widget.identifier + "-" + typePreference);
	

	if(type == null)
		type = "movies";
		
	return type;


}

function setSelectedAmazonUsername(name)
{
	widget.setPreferenceForKey(name,amazonUsernamePreference);
}

function amazonUsername()
{

	var username = widget.preferenceForKey(amazonUsernamePreference);
		
	return username;

}

function setSelectedDefaultSearch(search)
{
	widget.setPreferenceForKey(search,defaultSearchPreference);
}

function defaultSearch()
{
	var search = widget.preferenceForKey(defaultSearchPreference);
	

	if(search == null)
		search = "NewReleases";
		
	return search;
}
