


AmazonSearch.prototype.nodes = getAmazonInfo();

AmazonSearch.prototype.onLoad;


var nodes;

function AmazonSearch(keywords,type,country,page)
{
	this.keywords = keywords;
	//this.itemType = type;
	if(type != null)
		this.type = type;//(type.substring(0,type.indexOf("Button")));
			
	this.country = country;
	
	if(page != null || page == "0")
		this.page = page;
	else
		this.page = 1;
		

		
	
	//if(nodes == null)
	//	nodes = getAmazonInfo();// loadNodes();
}



AmazonSearch.prototype.setDelegate = function(delegate)
{
	this.delegate = delegate;
}


AmazonSearch.prototype.setSubCategory = function(node)
{
	this.node = node;
}

AmazonSearch.prototype.getKeywords = function()
{
	return this.keywords;
}


/*
AmazonSearch.prototype.getMediaType = function()
{
	return this.itemType;
}
*/

AmazonSearch.prototype.getType = function()
{
	return this.type;
}

AmazonSearch.prototype.getCountry = function()
{
	if(getAmazonInfo()[this.country] == null)
		return "us";
	else
		return this.country;
}

AmazonSearch.prototype.getItems = function()
{
	return this.items;
}

AmazonSearch.prototype.setCurrentPage = function(page)
{
	this.page = page;
}

AmazonSearch.prototype.getCurrentPage = function()
{
	return this.page;
}

AmazonSearch.prototype.getTotalPages = function()
{
	return this.totalPages;
}

/*
AmazonSearch.prototype.refresh = function() 
{
	loadedItems(this.items,this.type,this.country);
	
}
*/

AmazonSearch.prototype.loadItemList = function() 
{
		
	//var node = nodes[this.getCountry()][this.getType()];
	//if(node == null)
	//	node = nodes[this.getType()];
	var searchIndex = nodes[this.getType()];
	
	
	var domain = nodes[this.getCountry()]['domain_ecs'];
	
	var associate_id = nodes[this.getCountry()]['associates_id'];
	
	
	
	// The feed to fetch
	//var feedURL = "http://" + domain + "/onca/xml?Service=AWSECommerceService&AWSAccessKeyId=" + 
	//accessKeyID + "&Operation=BrowseNodeLookup&BrowseNodeId="+ node + 
	//"&ResponseGroup=NewReleases&Version=2007-04-04";
	
	
	
	//var feedURL = "http://" + domain +"/onca/xml?Service=AWSECommerceService&AWSAccessKeyId=" + accessKeyID + "&Operation=ItemSearch&AssociateTag=" + associate_id + "&Version=2007-01-15&SearchIndex=" + node + "&Keywords=" + this.getKeywords() + "&ItemPage=" + this.page ;	
	var feedURL = "http://" + domain +"/onca/xml?Service=AWSECommerceService&AWSAccessKeyId=" + accessKeyID + "&Operation=ItemSearch&AssociateTag=" + associate_id + "&Version=2007-01-15&BrowseNode=" + this.node + "&Keywords=" + this.getKeywords() + "&ItemPage=" + this.page + "&SearchIndex=" + searchIndex ;
	
	alert("search page: " + this.page);
	//,&ResponseGroup=ItemAttributes,Images,SalesRank";
					 
	alert(feedURL);
	
	//widget.openURL(feedURL);
		
	var xmlRequest = new XMLHttpRequest();

	var _self = this;
	xmlRequest.open("GET", feedURL);
	xmlRequest.setRequestHeader("Cache-Control", "no-cache");
	xmlRequest.onreadystatechange = function (aEvt) 
	{
		if (xmlRequest.readyState == 4) 
		{
			
			_self.xmlLoaded(xmlRequest);
			
			
		}
	};
	
	xmlRequest.send(null);


}

AmazonSearch.prototype._informDelegateOfSuccessfulLoad = function()
{
	try
	{

	if(this.onLoad != null)
	{
		//alert("use custom on load function.");
		this.onLoad(this);
	}
	else
	{
		//alert("use default on load function");
		this.delegate.searchDidFinish(this);
	}
	}
	catch(err)
	{
		alert("failed to inform delegate. it was all for naught. " + err);
	}

}

// Called when the XMLHttpRequest loads the feed
AmazonSearch.prototype.xmlLoaded = function(xmlRequest) 
{
	
	

	if (xmlRequest.status == 200) 
	{
	
		try
		{

			xmlObj = xmlRequest.responseXML;
	
			//alert(xmlRequest.responseText);
	
			var itemSearchResponse = xmlObj.getElementsByTagName("ItemSearchResponse")[0];
	
			var items = itemSearchResponse.getElementsByTagName("Items")[0];
	
			var request = itemSearchResponse.getElementsByTagName("Request")[0];
			
			this.totalPages = valueForKey("TotalPages",items);
			
			
			var itemSearchRequest = request.getElementsByTagName("ItemSearchRequest")[0];
			
			this.page = valueForKey("ItemPage",itemSearchRequest);
			
			//alert("total: " + totalPages);
			//alert("page: " + page);
			
			
	//		item = items.getElementsByTagName("Item")[0];
			
			//alert("bleh: " + item.nodeName);
			
			var x = items.childNodes;
			
			//outputNodeNamesForNode(items);
			
			this.items = new Array();

			for (var i=0;i<x.length;i++)
			{ 
				if(x[i].nodeName == "Item")
				try
				{
				
					var amazonItem = new AmazonItem(null,null,x[i]);
					
					var item = new Array();
					
					item['asin'] = amazonItem.getValue('asin');
					
					item['title'] = amazonItem.getValue('title');
					
					
					this.items.push(item);
					
					
				}
				catch(err)
				{
					//alert("I don't think that's an amazon item. (" + x[i].nodeName +")");
				}
				
				
			}
			
			
			this._informDelegateOfSuccessfulLoad();
		}
		catch(err)
		{
			alert("failed. " + err);
		}
		
	}
	else 
	{
		alert("Error fetching data: HTTP status " + xmlRequest.status);
	}
}

AmazonSearch.prototype.createHomepageURL = function() 
{


	var domain = nodes[this.country]['domain_www'];
	var associate_id = nodes[this.country]['associate_id'];
	var node = nodes[this.country][this.type];
	

	
	//front page
	return "http://" + domain + "/gp/redirect.html?ie=UTF8&location=http%3A%2F%2F" + domain + "%2F&tag=" + associate_id + "&linkCode=ur2&camp=1789&creative=9325";
	
	//directly to node (ugly)
	//return "http://" + domain + "/b?%5Fencoding=UTF8&node=" + node + "&tag=" + associate_id + "&linkCode=ur2&camp=1789&creative=9325";
	

}





